'       Example illustrates customized formatting using
'       the SetRange() routine to retrieve regions:

'  Define a table with three columns (including one row label and one
'  column label):

ncol=3
v=array(_
null,           "Column 1",     "Column 2", _
"Row 1",        1,              3, _
"Row 2",        3,              4, _
"Row 3",        2,              6  )

call LoadTable("Simple","A Range Formatted Table",v,ncol,r)
call DefaultFormat("Simple")

'       Apply some additional formatting after having
'       gone through the default:

dim ndrow,ndcol,datarange,rowlabels,collabels
ndrow = r.rows.count-1
ndcol = r.columns.count-1

set datarange=r.offset(1,1).resize(ndrow,ndcol)
set rowlabels=r.offset(1,0).resize(ndrow,1)
set collabels=r.offset(0,1).resize(1,ndcol)

MsgBox  "Data:"&datarange.Address&vbCRLf&_
        "Row Labels:"&rowlabels.Address&vbCRLf&_
        "Column Labels:"&collabels.Address&vbCRLf

'       Format the data range:

with datarange
   .Borders(xlInsideVertical).LineStyle=xlnone
   .Font.Color = vbRed
   .NumberFormat = "0.00"
end with

'       Format the row labels:

with rowlabels
   .Font.Bold = False
   .HorizontalAlignment = xlRight
end with

'       Format the column headers:

with collabels
   .Font.Color = vbGreen
end with
